using System;
using System.Data;
using System.Configuration;

/// <summary>
/// courseName 的摘要说明
/// </summary>

namespace core.BusinessObject
{
    public class Course
    {
        private string _courseName;
        private string _teacherName;
        private string _themeType;
        private string _difficultFactor;
        private int  _courseChapter;

        public Course()
        {
            //
            // TODO: 在此处添加构造函数逻辑
            //
        }

        public Course(string courseName, string teacherName, string themeType, string difficultFactor, int  courseChapter)
        {
            this._courseName = courseName;
            this._teacherName = teacherName;
            this._difficultFactor = difficultFactor;
            this._themeType = themeType;
            this._courseChapter = courseChapter;
        }

        public Course(string courseName,int type)
        {
            switch(type)
            {
                case 0: this._courseName = courseName; break;
                case 1: this._teacherName = courseName; break;
                case 2: this._themeType = courseName; break;
                case 3: this._difficultFactor = courseName; break;
            }
        }

        public Course(Int32 courseChapter)
        {
            this._courseChapter = courseChapter;
        }
        public string courseName
        {
            get { return this._courseName; }
            set { this._courseName = value; }
        }

        public string teacherName
        {
            get { return this._teacherName; }
            set { this._teacherName = value; }
        }

        public string themeType
        {
            get { return this._themeType; }
            set { this._themeType = value; }
        }

        public string difficultFactor
        {
            get { return this._difficultFactor; }
            set { this._difficultFactor = value; }
        }

        public int  courseChapter
        {
            get { return this._courseChapter; }
            set { this._courseChapter = value; }
        }
    }
}